Groovy 1.7.0

## org.codehaus.groovy.ast.stmt
Class BlockStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.BlockStatement

    class BlockStatement
    extends Statement

A list of statements

author:
  James Strachan

version:
  $Revision: 15807 $

Constructor Summary
`BlockStatement()`
`BlockStatement(List statements, VariableScope scope)`
`BlockStatement(Statement[] statements, VariableScope scope)`

Method Summary
`void` | `addStatement(Statement statement)`
`void` | `addStatements(List listOfStatements)`
`List` | `getStatements()`
`String` | `getText()`
`VariableScope` | `getVariableScope()`
`boolean` | `isEmpty()`
`void` | `setVariableScope(VariableScope scope)`
`String` | `toString()`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### BlockStatement

    public BlockStatement()

### BlockStatement

    public BlockStatement(List statements, VariableScope scope)

### BlockStatement

    public BlockStatement(Statement[] statements, VariableScope scope)

Method Detail

### addStatement

    public void addStatement(Statement statement)

### addStatements

    public void addStatements(List listOfStatements)

### getStatements

    public List getStatements()

### getText

    public String getText()

### getVariableScope

    public VariableScope getVariableScope()

### isEmpty

    public boolean isEmpty()

### setVariableScope

    public void setVariableScope(VariableScope scope)

### toString

    public String toString()

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.